Delete person

Prev Next

Available in VPC

Delete a specific person from the people DB. If you delete a person, their facial feature data will also be deleted, and they will be excluded from Get similar person and Compare person.

Caution
  • Deleting a specific person will reset all labeled information in the index, returning it to an anonymous state.
  • Deleting a person is irreversible.

Request

This section describes the request format.

Method URI
DELETE /api/v1/workspaces/{workspace_name}/persons/{person_id}

Request headers

For information about the request headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workspace_name String Required Workspace name
person_id String Required Person ID to delete

Request example

The request example is as follows:

curl --location --request DELETE 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons/1001' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format. It returns the person's information as of the time of deletion.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - Deleted person information object
result.id Integer - Person ID
result.personId Integer - Person ID
  • Value identical to id
result.name String - Person name
  • Anonymous persons are indicated as null.
result.description String - Person description
result.assetCount Integer - Number of assets in which the person appeared at the time of deletion
result.sceneCount Integer - Total number of scenes in which the person appeared at the time of deletion
result.tags Array - List of tags assigned to the person: tags
result.thumbnails Array - List of thumbnails associated with the person: thumbnails

tags

The following describes tags.

Field Type Required Description
id Integer - Tag ID
name String - Tag name

thumbnails

The following describes thumbnails.

Field Type Required Description
id Integer - Thumbnail ID
url String - Thumbnail image URL (presigned URL)
isPrimaryThumbnail Boolean - Whether it is the main thumbnail
  • true | false
thumbnailSource String - Thumbnail registration method
  • AUTO | MANUAL
  • AUTO: Thumbnail automatically extracted during media analysis.
  • MANUAL: Thumbnail uploaded directly by the user.

Response status codes

For information about the response status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
  "code": "0",
  "message": "success",
  "result": {
    "id": 1001,
    "personId": 1001,
    "name": "Gildong Hong",
    "description": "A representative fictional character in Korea.",
    "assetCount": 12,
    "sceneCount": 47,
    "tags": [
      {
        "id": 201,
        "name": "Singer"
      }
    ],
    "thumbnails": [
      {
        "id": 3001,
        "url": "https://kr.object.ncloudstorage.com/.../2747829644790202370.jpg?...",
        "isPrimaryThumbnail": true,
        "thumbnailSource": "MANUAL"
      }
    ]
  }
}